org.keycloak.services.resources

## Class ThemeResource

- java.lang.Object
- - org.keycloak.services.resources.ThemeResource

-     @Path(value="/resources")
      public class ThemeResource
      extends Object

  Theme resource
  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThemeResource()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `getResource(String version, String themType, String themeName, String path)` Get theme content

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThemeResource

          public ThemeResource()

  - ### Method Detail

    - #### getResource

          @GET
           @Path(value="/{version}/{themeType}/{themeName}/{path:.*}")
          public javax.ws.rs.core.Response getResource(@PathParam(value="version")
                                                                                                                         String version,
                                                                                                                         @PathParam(value="themeType")
                                                                                                                         String themType,
                                                                                                                         @PathParam(value="themeName")
                                                                                                                         String themeName,
                                                                                                                         @PathParam(value="path")
                                                                                                                         String path)

      Get theme content
      Parameters:
        `themType` -
        `themeName` -
        `path` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.